package com.glarimy.struts.six;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.apache.struts2.interceptor.SessionAware;

import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.Validateable;
import com.opensymphony.xwork2.ValidationAware;

public class Evaluator implements SessionAware{
	private List<Student> students;
	private Student student;
	private Map session;
	@Override
	public void setSession(Map<String, Object> session) {
		this.session = session; 	
	}
	public String evaluate(){
		this.students = (List<Student>)session.get("students");
		if(students == null)
			students = new ArrayList<Student>();
		
		double total = student.getMaths() + student.getSciences() + student.getLanguages();
		student.setPercentage(total*100/300);
		if(student.getPercentage() >= 35)
			student.setResult(true);
		students.add(student);
		System.out.println("Current size is " + students.size());
		session.put("students", students);
		return "success";
	}
	public List<Student> getStudents() {
		return students;
	}

	public void setStudents(List<Student> students) {
		this.students = students;
	}

	public Student getStudent() {
		return student;
	}

	public void setStudent(Student student) {
		this.student = student;
	}

	public Map getSession() {
		return session;
	}
}